--- title: "API Specification Snippet" slug: "api-specification-snippet" updated: 2025-09-26T01:06:07Z published: 2025-09-26T01:06:07Z canonical: "docs.unqork.io/api-specification-snippet" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.unqork.io/llms.txt > Use this file to discover all available pages before exploring further. # API Specification Snippet ## Overview The API Specification snippet helps you create standardized API (application programming interface) modules. The API Specification snippet acts as an outline for your API module. The snippet ensures you are building API modules following Unqork best practices. Setting up your API modules using the API Specification snippet also populates the API Docs Dashboard in your environment. The API Docs Dashboard is a part of the Unqork Development Life Cycle Toolkit. It lists all API modules in your current environment. The dashboard also contains documentation for each API module. This includes a description and the request and response parameters. Here's how the dashboard looks when you created various API modules using the API Specification snippet: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/API_Docs_Dashboard_02.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) Because you only use this snippet in server-side modules, there's nothing to see in Express View. Here's how the snippet looks in the Module Builder: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Snippets_API_Specification_01.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) ## How the Snippet Works The API Specification snippet includes various Panel and Hidden components. On their own, they have no function. But, once you add and configure components, the module becomes an API module. There are a couple of steps to making an API module: 1. Create a module tag of api. This is how the API Docs Dashboard tool knows this is an API module. 2. Open the Module Settings and set the **Server Side Execution Only** setting to **ON**. Now you can configure the contents of each Panel component for your specific function. Each Panel in the snippet serves a different purpose. Below is a brief description of each of the snippet's Panel components. ### panelInfo Panel The **panelInfo** **P****anel** component contains the description of your API module. This information displays in the [API Docs Dashboard](/v1/docs/api-docs-dashboard-tool) tool, identifying the API module's purpose. Use the [HTML Element](/v1/docs/html-element-component) component to write a brief description of your API module. For example, if your API module calls a weather API, you can enter: `This module connects to a weather API to retrieve the current weather for a given zip code and country.` This section also includes the **method** **H****idden** component. Use this Hidden component to enter the module's specific HTTP method. By default, the component has the **Default Value** of `GET/PUT/POST/DELETE`. Replace this value with the method that applies to your API module. For example, if your API module retrieves weather reports, set the **Default Value** to **GET**. ### panelRequest Panel The **panelRequest** **P****anel** component is where Creators define the APIs request parameters. By default, the Panel component contains a single [Hidden](/v1/docs/hidden-component) component for a request parameter. Add and configure one Hidden component for each request parameter needed. If the API call does not have any request parameters, you can leave this Panel component empty. Configure each Hidden component according to these best practices: | Setting | Description and Configuration | | --- | --- | | Property ID | Enter the name of the parameter as a camelCase string. | | Required | If the parameter is required, set **Required** to ![A toggle switch indicating an on/off state for a user interface element.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Group 1.png?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) **(ON)**. | | Store Data in Database | Determines if the parameter is included in the response. Verify **Store Data in Database** is set to ![A toggle switch in the 'on' position, indicating an active setting or feature.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Group 2(1).png?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) **(OFF)**. Doing so prevents request parameters from being returned. | | Field Tags | [![A static image displaying the Hidden component's field tag button.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/fieldTagButton_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D)](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/fieldTagButton.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) Set the data type for the parameter. The component comes preset with all available tags. Delete all tags that you do not want to apply. The available tags are: - `type:string`: If the data type is an alphanumeric string. - `type:number`: If the data type is an integer or a float point number. - `type:boolean`: If the data type is Boolean (true or false). - `type:array-string`: If the data structure is an array containing a string data type. - `type:array-boolean`: If the data structure is an array containing a Boolean (true or false) data type. - `type:array-number`: If the data structure is an array containing an integer or a float point number data type. - `type:object`: If the data structure is an object. - `type:ObjectId`: If the data is a MongoDB unique identifier. > [!NOTE] > The `type:array` tag is the same as the `type:array-string` tag. | | Notes | [![A static image displaying the Hidden component's notes button.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/notes_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D)](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/notes.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) In the **Notes** modal, enter a parameter description. Ensure you click the Note's **Save** button after you enter the description. | Below shows how these settings translate to the API Docs Dashboard: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/API_Docs_Dashboard_04.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) ### panelConfig Panel This **panelConfig** **P****anel** component is where you add the API configuration logic. This includes a [Plug-In](/v1/docs/plug-in-component), [Initializer](/v1/docs/initializer-component), and any other component Creators need to complete an API configuration. None of the data in this Panel component persists, so each component's **Store Data in Database** setting is set to ![A toggle switch in the 'on' position, indicating an active setting or feature.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Group 2(1).png?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) **(OFF)**. By default, this Panel component includes a preset [Decisions](/v1/docs/decisions-component) component to configure . This component lets you manually set up the response codes you want produced by the API call. This configuration is especially helpful to alert you when a call fails. > To learn more about HTTP Output response codes, visit our [HTTP Status Codes](/v1/docs/http-status-codes) article. ### panelResponse Panel The **panelResponse** **P****anel** component lets you define the response parameters. By default, this Panel component contains a single [Hidden](/v1/docs/hidden-component) component for a response parameter. Add and configure one Hidden component for each response parameter needed. If the API call does not have any response parameters, you can leave this Panel component empty. Configure each Hidden component according to these best practices: | Setting | Description and Configuration | | --- | --- | | Property ID | Enter the name of the parameter as a camelCase string. | | Required | Setting **Required** to ![A toggle switch indicating an on/off state for a user interface element.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Group 1.png?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) **(ON)** ensures the parameter is present in the response. | | Store Data in Database | This setting determines whether the parameter is included in the response. Ensure **Store Data in Database** is set to ![A toggle switch indicating an on/off state for a user interface element.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Group 1.png?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) **(ON)** to include the parameter in the response. | | Field Tags | Set the data type for the parameter. The component comes preset with all available tags. Delete all tags that you do not want applied. [![A static image displaying the Hidden component's field tag button.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/fieldTagButton_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D)](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/fieldTagButton.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) The available tags are: - `type:string`: If the data type is an alphanumeric string. - `type:number`: If the data type is an integer or a float point number. - `type:boolean`: If the data type is Boolean (true or false). - `type:array-string`: If the data structure is an array containing a string data type. - `type:array-boolean`: If the data structure is an array containing a Boolean (true or false) data type. - `type:array-number`: If the data structure is an array containing an integer or a float point number data type. - `type:object`: If the data structure is an object. - `type:ObjectId`: If the data is a MongoDB unique identifier. > [!NOTE] > The `type:array` tag is the same as the `type:array-string` tag. | | Notes | In the **Notes** modal, enter a parameter description. Ensure you click the Note's **Save** button after you enter the description. [![A static image displaying the Hidden component's notes button.](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/notes_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D)](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/notes.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) | Below shows how these settings translate to the API Docs Dashboard: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/API_Docs_Dashboard_05.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) ## Setting Up the Snippet The API Specification snippet is essentially an outline to create your own API modules. Because it's an outline, there is plenty of room for customization. For this example, you'll create an API module that uses the Create Submission API call. This example requires you to add one request and two response parameters. ### Setting Up the Module First, navigate to the application that you want to house this new module. To create this module in your app: 1. Click the **+ Create New** button in the top-right corner of the page. 2. In the **Module Name** field, enter Create Submission (API). 3. From the **Tags** drop-down, select **api**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Snippets_API_Specification_10.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) 4. Click **Create**. ### Enabling the Server Side Execution Only Setting Before you add the API Specification snippet, you need to make this a server-side module. To enable the Server Side Execution Only setting: 1. Hover over the left menu bar and click **Settings**. 2. Set the **Server Side Execution Only** toggle to **ON**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Snippets_API_Specification_04.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) 3. Click **Save Settings**. 4. Hover over the left menu bar and click **Edit** **Module**. ### Adding the Snippet 1. In the left sidebar of Module Builder, click the **Snippet****s** button. 2. In the search bar, enter API Specification. 3. Drag and drop the **API Specification** snippet onto your canvas. 4. Hover over each of the panelInfo, panelRequest, panelConfig, and panelResponse Panel components. A 5-button toolbar displays above the component on hover-over. 5. Click and drag the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Move(2).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Move**) button, dropping each Panel outside the panelAPITemplate Panel component. Doing so improves module performance. 6. Hover over the panelAPITemplate Panel component. 7. Using the toolbar, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Remove(6).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Remove**) button. ### Configuring panelInfo Panel Use this Panel component to add a basic description and method for your API module. #### Updating the HTML Element Component 1. In the panelInfo Panel component, hover over the **HTML Element** component. 2. Using the toolbar, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Settings(17).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Settings**) button. 3. In the **Content** field, enter This module creates a schema module submission with the information in the request. 4. Click **Save**. #### Updating the Hidden Component In this component, enter the HTTP method this API module simulates. Your options are GET, PUT, POST, or DELETE. 1. In the panelInfo Panel component, hover over the method Hidden component. 2. Using the toolbar, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Settings(17).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Settings**) button. 3. In the **Default Value** field, enter POST. 4. Click **Save**. ### Configuring panelRequest Panel Use this Panel component to enter information about the request parameters. Remember, each parameter needs its own Hidden component. For this example, you need to configure a name parameter. #### Updating the Hidden Component 1. In the panelInfo Panel component, hover over the requestParameter Hidden component. 2. Using the toolbar, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Settings(17).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Settings**) button. 3. In the **Property ID** and **Canvas Label Text** fields, enter name. 4. In the **Field Tags** field, **delete** all tags except type:string. 5. Click the **Notes** tab. 6. In the **Notes** field, enter The name of the submission holder. 7. Under the Notes field, click **Save**. 8. Click **Save**. ### Configuring panelConfig Panel This Panel component is where you add the API's logic. You can also update the Panel's Decisions component to configure a successful or failed response code. #### Configuring the Initializer Component 1. Drag and drop an **Initializer** component into panelConfig. 2. In the **Property ID** and **Canvas Label Text** fields, enter initCreateSubmission. 3. Set the **Trigger Type** as **New Submission**. 4. In the **Outputs** table, enter the following: | Property ID | Type | Value | | --- | --- | --- | | pluginCreateSubmission | trigger | GO | 5. Click **Save**. #### Configuring the Plug-In Component 1. Drag and drop a **Plug-In** component into panelConfig. 2. In the **Property ID** and **Canvas Label Text** fields, enter pluginCreateSubmission. 3. From the **Internal Services** drop-down, select **Create** **Module** **Submission(s)**. 4. From the Module drop-down, select a module of your choice. For this example, a schema module with first name and last name fields. 5. In the **Inputs** table, enter the following: | Property ID | Mapping | | --- | --- | | firstName | data.firstName | 6. In the **Outputs** table, enter the following: | Property ID | Mapping | Option | | --- | --- | --- | | submission | data.rawData | replace | | submissionId | id | replace | 7. Click **Save**. ### Configuring panelResponse Panel This Panel is where you'll enter your information about the API's response parameters. Remember, each parameter needs its own Hidden component. For this example, add two response parameters. #### Updating the Hidden Component 1. In the panelInfo Panel component, hover over the requestParameter Hidden component. 2. Using the toolbar, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/AppBuildButton_Settings(17).jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) (**Settings**) button. 3. In the **Property ID** and **Canvas Label Text** fields, enter submissionId. 4. In the **Field Tags** field, **delete** all tags except type:ObjectID. 5. Set the **Store Data in Database** toggle to **ON**. 6. Click the **Notes** tab. 7. In the **Notes** field, enter This is the submission ID of the submission that has been created. 8. Under the Notes field, click **Save**. 9. Click **Save**. #### Configuring the Hidden Component 1. Drag and drop a **Hidden** component, placing it in the panelResponse Panel component. 2. In the **Property ID** and **Canvas Label Text** fields, enter submission. 3. In the **Field Tags** field, enter type:object. 4. Set the **Store Data in Database** toggle to **ON**. 5. Click the **Notes** tab. 6. In the **Notes** field, enter This is the data object of the submission that has been created. 7. Under the Notes field, click **Save**. 8. Click **Save**. 9. **Save** your module. After configuring your API Specification snippet, your Module Builder looks like this: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Snippets_API_Specification_07.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) ## Viewing your API Module with the API Docs Dashboard Tool To view your API module using the API Docs Dashboard tool, you need to access the Unqork Development Life Cycle Toolkit. To access the API Docs Dashboard tool: 1. At the top right of the Unqork Designer Platform, click the **Settings** drop-down. 2. Click **UDLC Toolkit**. 3. In the **E-mail Address** field, enter your Unqork email. 4. In the **Password** field, enter your Unqork password. > [!NOTE] > You must have Designer Administrator access to use the Life Cycle tools. 5. Click **Login**. Under the Plan and Design section, locate the **API Docs** tool, then click **Use This Tool** to the right of the tool's name. > [!TIP] > You can also access this tool using the Unqork Development Life Cycle Toolkit Chrome extension. For more information on how to access the Unqork Development Life Cycle Toolkit, search **Unqork Development Life Cycle Toolkit** in our In-Product Help. From there, you can search for your API module. Once found, click the **View** button to see the documentation. Here's the documentation for the Create Submission API module: ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Snippets_API_Specification_09.jpg?sv=2026-02-06&spr=https&st=2026-11-07T17%3A57%3A42Z&se=2026-11-07T18%3A57%3A42Z&sr=c&sp=r&sig=iN9G2rh8Hpx9rtQEo5ThQLF6%2FhP5VTMZwmkAxohoFvI%3D) ## Resources - [API Docs Dashboard Tool](/v1/docs/api-docs-dashboard-tool) - [Module Builder Settings](https://docs.unqork.io/Content/A01-ModEditor-General/A01015-ModEditor_Settings.htm) - [Understanding API Documentation and Specifications](https://docs.unqork.io/Content/NotFound.htm?originalUrl=%2FContent%2FL-Learning_Paths%2FL17-Expert_Configuration%2FL17000-General%2FL17001-Understanding_API_Doc_Spec.htm) - [Server-Side Module Execution](/v1/docs/server-side-module-execution) HTTP (Hypertext Transfer Protocol) is an application-layer protocol used to transmit hypermedia documents like HTML. Also known as Unqork Users, or Designer Users; is anyone who is inside the Unqork platform. APIs (application programming interfaces) are a set of protocols and definitions developers use to build and integrate application software. APIs act as the connective tissue between products and services. A Property ID is the unique field ID used by Unqork to track and link components in your module. A naming convention for computer programming. Use camelCase for Property IDs, for example: newUser, lastName, & rdoButton. A string is an object that represents a sequence of characters. Strings typically hold data represented in text form. The Boolean data type accepts one of two values: true, or, false. An array is a type of object that stores one or more data types. Data types supported in arrays include numbers, strings, and objects. An object is a type of data structure that represents a single, self-contained entity that acts as a container for the characteristics of that entity. A modal is a window that appears on top of the content you are currently viewing.